package com.xk72.charles.gui.settings;

import com.xk72.charles.config.UserInterfaceConfiguration;
import com.xk72.charles.gui.settings.SettingsPanel;
import com.xk72.charles.gui.settings.gkLY;
import javax.swing.JButton;
import javax.swing.JCheckBox;

public class PromptsSettingsPanel extends SettingsPanel {

   private final JCheckBox bPromptToSaveSessions = new JCheckBox("提示保存会话");
   private final JCheckBox bPromptToClearSessions = new JCheckBox("清除会话时发出警告");
   private final JButton bResetWarnings = new JButton("重置警告");


   public PromptsSettingsPanel() {
      super("警告");
      UserInterfaceConfiguration var1 = this.ctx.getConfiguration().getUserInterfaceConfiguration();
      this.bPromptToSaveSessions.setSelected(var1.isPromptToSaveSessions());
      this.bPromptToClearSessions.setSelected(var1.isPromptToClearSession());
      this.bResetWarnings.addActionListener(new gkLY(this));
      this.add(this.bPromptToSaveSessions);
      this.add(this.bPromptToClearSessions);
      this.add(this.bResetWarnings, "grow 0, wmin button");
   }

   public static void main(String[] var0) {
      (new PromptsSettingsPanel()).test();
   }

   public boolean save() {
      UserInterfaceConfiguration var1;
      (var1 = this.ctx.getConfiguration().getUserInterfaceConfiguration()).setPromptToSaveSessions(this.bPromptToSaveSessions.isSelected());
      var1.setPromptToClearSession(this.bPromptToClearSessions.isSelected());
      return true;
   }
}
